Package org.eclipse.cdt.core.settings.model.util

# Class CEntriesSet

java.lang.Object
org.eclipse.cdt.core.settings.model.util.CEntriesSet

public class CEntriesSet extends Object

## Constructor Summary

Constructors
Constructor
Description
`CEntriesSet()`
`CEntriesSet(List<ICSettingEntry> list)`
`CEntriesSet(ICSettingEntry[] entries)`

## Method Summary

Modifier and Type
Method
Description
`ICSettingEntry`
`addEntry(ICSettingEntry entry)`
`void`
`clear()`
`protected Object`
`getKey(ICSettingEntry entry)`
`void`
`setEntries(List<ICSettingEntry> list)`
`void`
`setEntries(ICSettingEntry[] entries)`
`int`
`size()`
`ICSettingEntry[]`
`toArray()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CEntriesSet

public CEntriesSet()

### CEntriesSet

public CEntriesSet(List<ICSettingEntry> list)

### CEntriesSet

public CEntriesSet(ICSettingEntry[] entries)

## Method Details

### size

public int size()

### toArray

public ICSettingEntry[] toArray()

### getKey

protected Object getKey(ICSettingEntry entry)

### addEntry

public ICSettingEntry addEntry(ICSettingEntry entry)

### clear

public void clear()

### setEntries

public void setEntries(List<ICSettingEntry> list)

### setEntries

public void setEntries(ICSettingEntry[] entries)